---
title: <mstyle>
slug: Web/MathML/Element/mstyle
tags:
  - MathML
  - MathML Reference
  - 'MathML:Element'
  - 'MathML:General Layout Schemata'
---
<div>{{MathMLRef}}</div>

<p class="summary">The MathML <code>&lt;mstyle&gt;</code> element is used change the style of its children. It accepts all attributes of all MathML presentation elements with some exceptions and additional attributes listed below.</p>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt id="attr-dir"><code>dir</code></dt>
 <dd>Overall directionality of formulas. Possible values are either <code>ltr</code> (left to right) or <code>rtl</code> (right to left).</dd>
 <dt id="attr-decimalpoint"><code>decimalpoint</code></dt>
 <dd>This attribute is specifying the character for the alignment point within {{ MathMLElement("mstack") }} and {{ MathMLElement("mtable") }} columns, if the <code>decimalpoint</code> value is used to specify the alignment.</dd>
 <dt id="attr-displaystyle"><code>displaystyle</code></dt>
 <dd>A Boolean value specifying whether more vertical space is used for displayed equations or, if set to <code>false</code>, a more compact layout is used to display formulas. The main effect is that larger versions of operators are displayed, when <code>displaystyle</code> is set to <code>true</code>. See also <code>largeop</code> and <code>movablelimits</code> on {{ MathMLElement("mo") }}.</dd>
 <dt id="attr-infixlinebreakstyle"><code>infixlinebreakstyle</code></dt>
 <dd>Specifies the default <code>linebreakstyle</code> to use for infix operators. The values <code>before</code>, <code>after</code> and <code>duplicate</code> are allowed.</dd>
 <dt id="attr-scriptlevel"><code>scriptlevel</code></dt>
 <dd>Controls mostly the font-size. The higher the <code>scriptlevel</code>, the smaller the font size. This attribute accepts a non-negative integer, as well as a "+" or a "-" sign, which increments or decrements the current value. In addition, the <code>scriptlevel</code> attribute can never reduce the font size below <code>scriptminsize</code> in order to avoid unreadable small font sizes and depends on the multiplier specified in <code>scriptsizemultiplier</code>.</dd>
 <dt id="attr-scriptminsize"><code>scriptminsize</code></dt>
 <dd>Specifies a minimum font size allowed due to changes in <code>scriptlevel</code>. The default value is 8pt.</dd>
 <dt id="attr-scriptsizemultiplier"><code>scriptsizemultiplier</code></dt>
 <dd>Specifies the multiplier to be used to adjust font size due to changes in <code>scriptlevel</code>. The default value is 0.71.</dd>
</dl>

<p>The <code>&lt;mstyle&gt;</code> element accepts <a href="/en-US/docs/MathML/Attributes">all attributes</a> of all presentation elements with the following exceptions:</p>

<ul>
 <li><code>height</code>, <code>depth</code> or <code>width</code> do not apply to {{ MathMLELement("mglyph") }}, {{ MathMLELement("mpadded") }} or {{ MathMLELement("mtable") }}.</li>
 <li><code>rowalign</code>, <code>columnalign</code>, or <code>groupalign</code> do not apply to {{ MathMLELement("mtr") }}, {{ MathMLELement("mlabeledtr") }}, {{ MathMLELement("mtd") }} or {{ MathMLELement("maligngroup") }}.</li>
 <li><code>lspace</code> or <code>voffset</code> do not apply to {{ MathMLELement("mpadded") }}.</li>
 <li><code>fontfamily</code> does not apply to {{ MathMLELement("mglyph") }}.</li>
 <li><code>align</code> does not apply to {{ MathMLELement("mtable") }} or {{ MathMLELement("mstack") }}.</li>
 <li><code>index</code> cannot be set on <code>&lt;mstyle&gt;</code>.</li>
 <li><code>src</code> and <code>alt</code> on {{ MathMLElement("mglyph" ) }} cannot be set on <code>&lt;mstyle&gt;</code>.</li>
 <li><code>actiontype</code> on {{ MathMLElement("maction") }} cannot be set on <code>&lt;mstyle&gt;</code>.</li>
</ul>

<h2 id="Examples">Examples</h2>

<p>Using <code>displaystyle</code> and <code>mathcolor</code> to effect style changes in the layout of the whole sum.</p>

<pre class="brush: html notranslate">&lt;math&gt;

  &lt;mstyle displaystyle="true" mathcolor="teal"&gt;
    &lt;mrow&gt;

      &lt;munderover&gt;
        &lt;mo stretchy="true" form="prefix"&gt;&amp;sum;&lt;/mo&gt;
        &lt;mrow&gt;
          &lt;mi&gt;i&lt;/mi&gt;
          &lt;mo form="infix"&gt;=&lt;/mo&gt;
          &lt;mn&gt;1&lt;/mn&gt;
        &lt;/mrow&gt;
        &lt;mi&gt;n&lt;/mi&gt;
      &lt;/munderover&gt;

      &lt;mstyle displaystyle="true"&gt;
        &lt;mfrac&gt;
          &lt;mn&gt;1&lt;/mn&gt;
          &lt;mi&gt;n&lt;/mi&gt;
        &lt;/mfrac&gt;
      &lt;/mstyle&gt;

    &lt;/mrow&gt;
  &lt;/mstyle&gt;

&lt;/math&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("MathMLCore", "#style-change-mstyle", "mstyle")}}</td>
   <td>{{Spec2("MathMLCore")}}</td>
   <td>Draft specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML3', 'chapter3.html#presm.mstyle', 'mstyle') }}</td>
   <td>{{ Spec2('MathML3') }}</td>
   <td>Current specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML2', 'chapter3.html#presm.mstyle', 'mstyle') }}</td>
   <td>{{ Spec2('MathML2') }}</td>
   <td>Initial specification</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("mathml.elements.mstyle")}}</p>

<h2 id="Gecko-specific_notes">Gecko-specific notes</h2>

<ul>
 <li>Prior to Gecko 6.0 {{ geckoRelease("6.0") }} the implementation of <code>&lt;mstyle&gt;</code> was not complete and <a class="link-https" href="https://bugzilla.mozilla.org/show_bug.cgi?id=569125">has been corrected</a>. In particular, setting these attributes on <code>mstyle</code> had no effect to its children:

  <ul>
   <li>The <code>bevelled</code> attribute on {{ MathMLElement("mfrac") }} elements.</li>
   <li>The <code>notation</code> attribute on {{ MathMLElement("menclose") }} elements.</li>
   <li>The <code>open</code>, <code>close</code> and <code>separators</code> attributes on {{ MathMLElement("mfenced") }} elements.</li>
   <li>The <code>accent</code> and <code>accentunder</code> attributes on {{ MathMLElement("mover") }}, {{ MathMLElement("munder") }} and {{ MathMLElement("munderover") }} elements.</li>
   <li>The <code>selection</code> attribute on {{ MathMLElement("maction") }} elements.</li>
   <li>The <code>mathvariant</code> attribute on {{ MathMLElement("mi") }} elements.</li>
  </ul>
 </li>
 <li>Starting with Gecko 29.0 {{geckoRelease("29.0")}}, the attributes accepted on the <code>&lt;mstyle&gt;</code> element have been restricted to those actually used in practice: <code>id, class, style, href, mathcolor, mathbackground, scriptlevel, displaystyle, scriptsizemultiplier, scriptminsize, dir, mathsize, mathvariant, fontfamily, fontweight, fontstyle, fontsize, color, background</code>.</li>
</ul>
